Mono.Parallel 4.0.0.0 System.Object System.Collections.Generic.ICollection<T> System.Collections.Generic.IEnumerable<T> The type of elements in the list. Provide a concurrent thread-safe implementation of a linked-list that keeps elements in order. This collection doesn't support duplicate elements with the same hash.
- Constructor
  4.0.0.0
  Initialize a new instance of ConcurrentOrderedList that is empty and use a default equality comparer.
  To be added.
- Constructor
  4.0.0.0
  Comparer used to determine elements hash and equality.
  Initialize a new instance of ConcurrentOrderedList that is empty and use a provided equality comparer.
- Method
  4.0.0.0
  System.Void To be added. To be added.
- Property
  4.0.0.0
  System.Collections.Generic.IEqualityComparer<T> Returns the comparer used in this instance of ConcurrentOrderedList. Comparer currently used.
- Method
  4.0.0.0
  System.Boolean `` The data to locate in the list. Checks if the supplied element is in the ConcurrentOrderedList. if the item is found, otherwise.
- Method
  4.0.0.0
  System.Boolean `` Hash value to check. Checks if the supplied hash corresponds to an element in the ConcurrentOrderedList. if an item corresponding to the given hash is found, otherwise. A call to is equivalent to calling this method using the method with .
- Method
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Int32 To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.Generic.IEnumerator<T> To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Collections.IEnumerator To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` Data to add in the collection. Try to add an element to the collection. True if the insertion was successful, otherwise. This method add the supplied element only if there is no other element with an identical hash already in the list.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.